Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2397)
@@ -68,92 +68,93 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Computes an index of a corpus or a partition. 
+ * Computes an index of a corpus or a partition.
  * 
  * @author mdecorde
  */
-public class PartitionIndex extends TXMResult  {
-
+public class PartitionIndex extends TXMResult {
+	
 	/** The counts. */
 	protected LinkedHashMap<String, ArrayList<Integer>> counts = new LinkedHashMap<String, ArrayList<Integer>>();
-
+	
 	/** The currentpartid. */
 	protected int currentpartid = 0;
-
+	
 	/** The current Fmax value. */
 	protected int Fmax = 0;
 	
 	/** The current Fmin value. */
 	protected int Fmin = 9999999;
-
+	
 	/** The lexicon used to compute the index (if query = null || query == [] && properties.size() == 1 */
 	@Deprecated
 	protected CQPLexicon lexicon;
 	
 	@Deprecated
 	protected boolean lexiconMode = false;
-
+	
 	/** The current lines. */
 	protected List<Line> lines = new ArrayList<Line>();
+	
 	/** The current number of lines. */
 	protected int nTotalTokens = 0;
-
+	
 	/** The partnames. The corpus name if built with a Corpus or the parts names if built with a Partition */
 	protected List<String> partnames = new ArrayList<String>();
-
+	
 	/** The writer. */
 	// FIXME: should be in an exporter extension
 	@Deprecated
 	private BufferedWriter writer;
-
+	
 	/**
 	 * Maximum frequency filter value.
 	 */
-	@Parameter(key=TXMPreferences.F_MAX)
+	@Parameter(key = TXMPreferences.F_MAX)
 	protected Integer pFmaxFilter;
-
+	
 	/**
 	 * Minimum frequency filter value.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected Integer pFminFilter;
-
+	
 	/**
 	 * Number of lines to display per page.
 	 */
-	@Parameter(key=TXMPreferences.N_LINES_PER_PAGE)
+	@Parameter(key = TXMPreferences.N_LINES_PER_PAGE)
 	protected Integer pNLinesPerPage;
-
+	
 	/**
 	 * The word properties to display.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected List<WordProperty> pProperties;
-
+	
 	/**
 	 * The string used to separated property values.
 	 */
-	@Parameter(key=IndexPreferences.PROPERTIES_SEPARATOR)
+	@Parameter(key = IndexPreferences.PROPERTIES_SEPARATOR)
 	protected String pPropertiesSeparator;
-
+	
 	/**
 	 * The CQP query.
 	 */
-	@Parameter(key=TXMPreferences.QUERY)
+	@Parameter(key = TXMPreferences.QUERY)
 	protected IQuery pQuery;
-
+	
 	/**
 	 * The line index of the current index page.
 	 */
-	@Parameter(key=IndexPreferences.N_TOP_INDEX)
+	@Parameter(key = IndexPreferences.N_TOP_INDEX)
 	private Integer pTopIndex;
-
+	
 	/**
 	 * The vmax filter value parameter.
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected Integer pVmaxFilter;
-
+	
 	/**
 	 * 
 	 * @param parent
@@ -161,12 +162,12 @@
 	public PartitionIndex(Partition parent) {
 		super(null, parent);
 	}
-
+	
 	/**
 	 * 
 	 * @param parametersNodePath
 	 */
-	public PartitionIndex(String parametersNodePath)	{
+	public PartitionIndex(String parametersNodePath) {
 		this(parametersNodePath, null);
 	}
 	
@@ -183,16 +184,16 @@
 			partnames.add(part.getName());
 		}
 	}
-
+	
 	public Partition getParent() {
-		return (Partition)parent;
+		return (Partition) parent;
 	}
 	
 	public String getComputingDoneMessage() {
-		if(this.lines.isEmpty())	{
+		if (this.lines.isEmpty()) {
 			return TXMCoreMessages.common_noResults;
 		}
-		else	{
+		else {
 			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, this.lines.size(), this.nTotalTokens);
 		}
 	}
@@ -204,7 +205,7 @@
 		partnames.clear();
 		currentpartid = 0;
 		nTotalTokens = 0;
-
+		
 		Partition partition = getParent();
 		partnames.clear();
 		for (Part part : partition.getParts()) {
@@ -214,27 +215,27 @@
 		}
 		
 		setLineCounts();
-
+		
 		getAllLines();
-
+		
 		this.filterLines();
-
+		
 		this.subTask("Sorting...");
-
+		
 		this.sortLines(SortMode.FREQUNIT, true);
-
+		
 		this.cut();
-
+		
 		this.dirty = false;
 		this.pTopIndex = 0;
-
+		
 		this.subTask("Index done.");
-
+		
 		return true;
 	}
-
-
-
+	
+	
+	
 	/**
 	 * Creates a CQL query string from the specified Index lines.
 	 *
@@ -246,7 +247,7 @@
 		if (lines.size() == 0) {
 			return query;
 		}
-
+		
 		Line line = lines.get(0);
 		int nbToken = line.getUnitsProperties().get(0).size();
 		int nbProps = line.getProperties().size();
@@ -256,7 +257,7 @@
 			query += "["; //$NON-NLS-1$
 			for (int p = 0; p < nbProps; p++) {
 				if (props.get(p) instanceof StructuralUnitProperty) {
-					query += "_."+((StructuralUnitProperty)props.get(p)).getFullName() + "=\""; //$NON-NLS-1$ //$NON-NLS-2$
+					query += "_." + ((StructuralUnitProperty) props.get(p)).getFullName() + "=\""; //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				else {
 					query += props.get(p) + "=\""; //$NON-NLS-1$
@@ -277,10 +278,11 @@
 		query = query.substring(0, query.length() - 1);
 		return query;
 	}
-
-
+	
+	
 	/**
 	 * Creates a Query list from the specified Index lines.
+	 * 
 	 * @param lines
 	 * @return
 	 */
@@ -307,11 +309,11 @@
 			queries.add(new CQLQuery(query));
 		}
 		return queries;
-
+		
 	}
-
-
-
+	
+	
+	
 	/**
 	 * This method alter the index first column frequencies using a table stored in the R workspace
 	 * 
@@ -322,69 +324,69 @@
 	 * @throws REXPMismatchException
 	 */
 	public boolean alterFrequencies(String referenceCorpus) throws RWorkspaceException, REXPMismatchException {
-		String[] ref_forms = RWorkspace.getRWorkspaceInstance().eval("rownames("+referenceCorpus+")").asStrings(); //$NON-NLS-1$ //$NON-NLS-2$
-		int[] ref_freqs = RWorkspace.getRWorkspaceInstance().eval(referenceCorpus+"[,1]").asIntegers(); //$NON-NLS-1$
+		String[] ref_forms = RWorkspace.getRWorkspaceInstance().eval("rownames(" + referenceCorpus + ")").asStrings(); //$NON-NLS-1$ //$NON-NLS-2$
+		int[] ref_freqs = RWorkspace.getRWorkspaceInstance().eval(referenceCorpus + "[,1]").asIntegers(); //$NON-NLS-1$
 		if (ref_forms.length != ref_freqs.length) {
-			System.out.println("Cannot alter index frequencies with the '"+referenceCorpus+"' empty table.");
+			System.out.println("Cannot alter index frequencies with the '" + referenceCorpus + "' empty table.");
 			return false;
 		}
 		HashMap<String, Integer> ref_counts = new HashMap<String, Integer>();
-		for(int i = 0 ; i < ref_forms.length ; i++) {
+		for (int i = 0; i < ref_forms.length; i++) {
 			ref_counts.put(ref_forms[i], ref_freqs[i]);
 		}
-
+		
 		for (org.txm.index.core.functions.Line l : this.getAllLines()) {
 			String key = l.toString();
 			if (ref_counts.containsKey(key)) {
-				int[] f = {ref_counts.get(key)};
+				int[] f = { ref_counts.get(key) };
 				l.setCounts(f, 0);
 			}
 		}
 		this.updateFminFmax();
 		return true;
-		//voc.toTxt(new File("/home/mdecorde/TEMP/after.tsv"), "UTF-8", "\t", "");
+		// voc.toTxt(new File("/home/mdecorde/TEMP/after.tsv"), "UTF-8", "\t", "");
 	}
-
+	
 	@Override
 	public boolean canCompute() {
 		if (this.getPartition() == null) {
 			Log.fine("Partition not set."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		if (pProperties == null || pProperties.size() == 0) {
 			Log.fine("No property set."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		if (pQuery == null || pQuery.getQueryString().length() == 0) {
 			Log.fine("No query set."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean saveParameters() {
-
+		
 		this.saveParameter(TXMPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pProperties));
-
+		
 		if (pQuery != null) {
 			this.saveParameter(TXMPreferences.QUERY, pQuery.getQueryString());
 		}
-
-
+		
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean loadParameters() {
 		this.pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES));
 		this.pQuery = new CQLQuery(this.getStringParameterValue(TXMPreferences.QUERY));
 		return true;
 	}
-
+	
 	@Override
 	public void clean() {
 		try {
@@ -392,11 +394,12 @@
 				this.writer.flush();
 				this.writer.close();
 			}
-		} catch (IOException e) {
+		}
+		catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
-
+	
 	/**
 	 * keep the vmax lines more frequents.
 	 *
@@ -405,18 +408,18 @@
 		if (pVmaxFilter == null) {
 			return;
 		}
-
+		
 		this.acquireSemaphore();
-
-		Log.fine("Cutting Tmax="+pVmaxFilter);
+		
+		Log.fine("Cutting Tmax=" + pVmaxFilter);
 		// assume the lines are sorted
-		//int before = lines.size();
+		// int before = lines.size();
 		this.lines = this.lines.subList(0, Math.min(lines.size(), pVmaxFilter));
 		this.updateFminFmax();
-
+		
 		this.releaseSemaphore();
 	}
-
+	
 	/**
 	 * Equals.
 	 *
@@ -430,46 +433,46 @@
 					&& this.pFminFilter == index.getFilterFmin()
 					&& this.pFmaxFilter == index.getFilterFmax();
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 		}
 		return false;
 	}
-
-
+	
+	
 	/**
 	 * Removes lines with frequency not in [Fmin,Fmax] range.
 	 *
 	 **/
 	public void filterLines() {
-
+		
 		if (!(pFminFilter > 0 && pFmaxFilter > 0 && pFminFilter <= pFmaxFilter)) {
 			return;
 		}
-
-		Log.fine("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
-
+		
+		Log.fine("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$ //$NON-NLS-2$
+		
 		for (int i = 0; i < lines.size(); i++) { // for each line
-
+			
 			Line line = lines.get(i);
 			int f = line.getFrequency();
 			if (f < pFminFilter) { // if its frequency is not in the interval, remove it
-
+				
 				nTotalTokens -= line.getFrequency();
 				lines.remove(i);
 				i--;
 				continue; // no need to go further the line is removed
 			}
 			if (f > pFmaxFilter) { // if its frequency is not in the interval, remove it
-
+				
 				nTotalTokens -= line.getFrequency();
 				lines.remove(i);
 				i--;
 			}
 		}
-
+		
 		this.updateFminFmax();
 	}
-
+	
 	/**
 	 * Gets the corpus.
 	 *
@@ -478,38 +481,42 @@
 	public CQPCorpus getCorpus() {
 		if (this.parent instanceof CQPCorpus) {
 			return (CQPCorpus) this.parent;
-		} else if (this.parent instanceof Partition) {
-			return ((Partition)this.parent).getParent();
-		} else if (this.lexicon != null) {
+		}
+		else if (this.parent instanceof Partition) {
+			return ((Partition) this.parent).getParent();
+		}
+		else if (this.lexicon != null) {
 			return this.lexicon.getParent();
-		} else {
+		}
+		else {
 			return null;
 		}
 	}
-
+	
 	@Override
 	public String getDetails() {
 		if (lexicon != null) {
 			return lexicon.getDetails();
-		} else {
-
+		}
+		else {
+			
 			try {
-				Object[] params = new Object[]{this.parent.getSimpleName(), this.getQuery().getQueryString(), this.getProperties(), this.getFmin(), this.getFmax()}; 
+				Object[] params = new Object[] { this.parent.getSimpleName(), this.getQuery().getQueryString(), this.getProperties(), this.getFmin(), this.getFmax() };
 				String str;
-				if(this.parent instanceof Partition)	{
+				if (this.parent instanceof Partition) {
 					str = IndexCoreMessages.indexColonPartitionP0queryP1propertiesP2FminP3FmaxP4;
 				}
-				else	{
+				else {
 					str = IndexCoreMessages.indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4;
 				}
 				return NLS.bind(str, params);
 			}
-			catch(Exception e) {
+			catch (Exception e) {
 				return getName();
 			}
 		}
 	}
-
+	
 	/**
 	 * Gets the filter fmax.
 	 *
@@ -518,7 +525,7 @@
 	public Integer getFilterFmax() {
 		return pFmaxFilter;
 	}
-
+	
 	/**
 	 * Gets the filter fmin.
 	 *
@@ -527,7 +534,7 @@
 	public Integer getFilterFmin() {
 		return pFminFilter;
 	}
-
+	
 	/**
 	 * Gets the filter vmax.
 	 *
@@ -536,7 +543,7 @@
 	public Integer getFilterVmax() {
 		return pVmaxFilter;
 	}
-
+	
 	/**
 	 * Gets the fmax.
 	 *
@@ -545,7 +552,7 @@
 	public int getFmax() {
 		return Fmax;
 	}
-
+	
 	/**
 	 * Gets the fmin.
 	 *
@@ -554,7 +561,7 @@
 	public int getFmin() {
 		return Fmin;
 	}
-
+	
 	/**
 	 * If the index has been build with corpus + property, the method returns the lexicon used.
 	 *
@@ -563,11 +570,11 @@
 	public CQPLexicon getLexicon() {
 		return lexicon;
 	}
-
+	
 	public boolean getLexiconMode() {
 		return this.lexiconMode;
 	}
-
+	
 	/**
 	 * return the lines from le "start"th one to the "end"th one.
 	 *
@@ -576,22 +583,22 @@
 	 * @return the lines
 	 */
 	public List<Line> getLines(int start, int end) {
-		//	long time = System.currentTimeMillis();
+		// long time = System.currentTimeMillis();
 		List<Line> selectedLines = new ArrayList<Line>();
 		if (lines.size() > 0) {
 			start = Math.max(0, start);
 			end = Math.min(end, lines.size());
 			selectedLines = lines.subList(start, end);
-
+			
 			int p = 0;
 			// for each property get the string values of the tokens
 			for (Property property : pProperties) {
-
+				
 				int len = 0;
 				for (Line l : selectedLines) {
 					len += l.UnitsIds.get(p).length;
 				}
-
+				
 				int[] indices = new int[len]; // build the array of indices
 				len = 0;
 				for (Line l : selectedLines) {
@@ -607,7 +614,8 @@
 					else {
 						strs = CorpusManager.getCorpusManager().getCqiClient().id2Str(property.getQualifiedName(), indices);
 					}
-				} catch (Exception e) {
+				}
+				catch (Exception e) {
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return null;
 				}
@@ -626,8 +634,8 @@
 		// System.out.println("Time get lines "+(System.currentTimeMillis()-time));
 		return selectedLines;
 	}
-
-
+	
+	
 	/**
 	 * return all the lines of the index.
 	 *
@@ -636,7 +644,7 @@
 	public List<Line> getAllLines() {
 		return getLines(0, lines.size());
 	}
-
+	
 	/**
 	 * update the lines counts.
 	 */
@@ -654,10 +662,10 @@
 			line.setCounts(c, -1);
 		}
 	}
-
-
-
-
+	
+	
+	
+	
 	@Override
 	public String getName() {
 		try {
@@ -668,20 +676,21 @@
 				return IndexCoreMessages.RESULT_TYPE + ": " + this.parent.getSimpleName() + ": " + this.getSimpleName();
 			}
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 			return this.getEmptyName();
 		}
 	}
-
+	
 	/**
 	 * Gets the number of lines per page.
+	 * 
 	 * @return the number of lines per page
 	 */
 	public Integer getNLinesPerPage() {
-		return pNLinesPerPage ;
+		return pNLinesPerPage;
 	}
-
-
+	
+	
 	/**
 	 * Gets the partition.
 	 *
@@ -691,11 +700,11 @@
 		try {
 			return (Partition) this.parent;
 		}
-		catch(ClassCastException e) {
+		catch (ClassCastException e) {
 		}
 		return null;
 	}
-
+	
 	/**
 	 * Gets the part names.
 	 *
@@ -704,7 +713,7 @@
 	public List<String> getPartnames() {
 		return partnames;
 	}
-
+	
 	/**
 	 * Gets the properties.
 	 *
@@ -713,16 +722,16 @@
 	public List<WordProperty> getProperties() {
 		return this.pProperties;
 	}
-
-
+	
+	
 	/**
 	 * 
 	 * @return
 	 */
 	public String getPropertySeparator() {
-		return pPropertiesSeparator ;
+		return pPropertiesSeparator;
 	}
-
+	
 	/**
 	 * Gets the query.
 	 *
@@ -731,7 +740,7 @@
 	public IQuery getQuery() {
 		return pQuery;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		if (lexicon != null) {
@@ -742,7 +751,7 @@
 			if (pQuery != null && !pQuery.isEmpty()) {
 				name += pQuery.getQueryString();
 				name += ": "; //$NON-NLS-1$
-
+				
 				for (Property s : pProperties) {
 					name += s.getName() + pPropertiesSeparator;
 				}
@@ -756,7 +765,7 @@
 			}
 		}
 	}
-
+	
 	/**
 	 * Gets the number of tokens found.
 	 *
@@ -765,7 +774,7 @@
 	public int getT() {
 		return nTotalTokens;
 	}
-
+	
 	/**
 	 * 
 	 * @return
@@ -773,7 +782,7 @@
 	public int getTopIndex() {
 		return pTopIndex;
 	}
-
+	
 	/**
 	 * Gets the v.
 	 *
@@ -782,7 +791,7 @@
 	public int getV() {
 		return lines.size();
 	}
-
+	
 	/**
 	 * Tell if the index has been computed with a partition or not.
 	 *
@@ -791,30 +800,31 @@
 	public boolean isComputedWithPartition() {
 		return (this.getParent() instanceof Partition);
 	}
-
+	
 	/**
 	 * count tokens.
 	 *
 	 * @param corpus the corpus to scan
 	 * @return true, if successful
-	 * @throws CqiClientException 
-	 * @throws CqiServerError 
-	 * @throws IOException 
+	 * @throws CqiClientException
+	 * @throws CqiServerError
+	 * @throws IOException
 	 */
 	protected boolean scanCorpus(CQPCorpus corpus) throws Exception {
 		// get the cqp result of the query
-
-		//long time = System.currentTimeMillis();
+		
+		// long time = System.currentTimeMillis();
 		Selection result = null;
 		if (pQuery instanceof CQLQuery) {
-			result = corpus.query((CQLQuery)pQuery, "index", true); //$NON-NLS-1$
-		} else {
+			result = corpus.query((CQLQuery) pQuery, "index", true); //$NON-NLS-1$
+		}
+		else {
 			result = pQuery.getSearchEngine().query(corpus, pQuery, "index", true); //$NON-NLS-1$
 		}
 		boolean isTargetUsed = result.isTargetUsed();
 		int nbresults = result.getNMatch();
 		this.nTotalTokens += nbresults; // get number of tokens
-
+		
 		// System.out.println("nLines : "+nLines);
 		List<? extends Match> matches = null;
 		if (nbresults > 0) {
@@ -849,15 +859,15 @@
 		// lengthOfKeywords));
 		// }
 		// System.out.println("took "+(System.currentTimeMillis()-time));
-
+		
 		// System.out.println("get count data");
-
+		
 		int[] allpositionsarray = new int[allpositions.size()];
 		int pcount = 0;
 		for (int p : allpositions) {
 			allpositionsarray[pcount++] = p;
 		}
-
+		
 		// time = System.currentTimeMillis();
 		HashMap<Property, int[]> propsId = new HashMap<Property, int[]>();
 		for (Property property : pProperties) {
@@ -870,7 +880,8 @@
 					int[] indices = CorpusManager.getCorpusManager().getCqiClient().cpos2Id(property.getQualifiedName(), allpositionsarray);
 					propsId.put(property, indices);
 				}
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
 				result.drop();
 				return false;
@@ -894,9 +905,9 @@
 				line.putIds(property, ids);
 			}
 			currentIndex += size;
-
+			
 			String signature = line.getSignature();
-
+			
 			// if the counts contains the signature, increment its corresponding value
 			if (counts.containsKey(signature)) {
 				while (counts.get(signature).size() <= currentpartid) {
@@ -914,7 +925,7 @@
 				}
 				counts.put(signature, tmp);
 				counts.get(signature).set(currentpartid, 1);
-
+				
 				lines.add(line);
 			}
 		}
@@ -922,9 +933,9 @@
 		// System.out.println("Time count lines "+(System.currentTimeMillis()-time));
 		// System.out.println("took "+(System.currentTimeMillis()-time));
 		return true;
-
+		
 	}
-
+	
 	/**
 	 * 
 	 * @param nLinesPerPage
@@ -932,7 +943,7 @@
 	public void setNLinesPerPage(int nLinesPerPage) {
 		this.pNLinesPerPage = Math.max(nLinesPerPage, 1);
 	}
-
+	
 	/**
 	 * 
 	 * @param props
@@ -942,36 +953,39 @@
 		this.pProperties = props;
 		this.lexicon = null;
 	}
-
+	
 	/**
 	 * Sets the query.
+	 * 
 	 * @param query
 	 */
-	public void setQuery(CQLQuery query)	{
+	public void setQuery(CQLQuery query) {
 		this.pQuery = query;
 	}
-
+	
 	/**
 	 * Sets the properties.
+	 * 
 	 * @param properties
 	 */
-	public void setProperties(List<WordProperty> properties)	{
+	public void setProperties(List<WordProperty> properties) {
 		this.pProperties = properties;
 	}
-
+	
 	/**
 	 * Sets the property.
 	 * Clears all existing properties.
+	 * 
 	 * @param property
 	 */
-	public void setProperty(WordProperty property)	{
+	public void setProperty(WordProperty property) {
 		List<WordProperty> properties = new ArrayList<WordProperty>();
 		properties.add(property);
 		this.setProperties(properties);
 	}
-
-
-
+	
+	
+	
 	public void setParameters(CQLQuery query, List<WordProperty> props, Integer filterFmin, Integer filterFmax, Integer filterVmax, Integer nLinesPerPage) {
 		this.pQuery = query;
 		this.pProperties = props;
@@ -980,7 +994,7 @@
 		if (filterVmax != null) this.pVmaxFilter = filterVmax;
 		if (nLinesPerPage != null) this.pNLinesPerPage = nLinesPerPage;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		try {
@@ -990,25 +1004,26 @@
 			Integer filterFmax = (Integer) parameters.get("filterFmax"); //$NON-NLS-1$
 			Integer filterVmax = (Integer) parameters.get("filterVmax"); //$NON-NLS-1$
 			Integer nLinesPerPage = (Integer) parameters.get("nLinesPerPage"); //$NON-NLS-1$
-
+			
 			this.setParameters(query, props, filterFmin, filterFmax, filterVmax, nLinesPerPage);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe("Error while setting parameters of Index: " + e.getLocalizedMessage()); //$NON-NLS-1$
 			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
 	}
-
-
+	
+	
 	public void setTopLine(int i) {
 		pTopIndex = Math.max(i, 0);
 	}
-
+	
 	public void setVMax(int maxFilter) {
 		this.pVmaxFilter = maxFilter;
 	}
-
+	
 	/**
 	 * Sort lines.
 	 *
@@ -1021,7 +1036,7 @@
 		Collections.sort(lines, lc);
 		this.pTopIndex = 0; // return to the first page
 	}
-
+	
 	/**
 	 * dump the index in the console.
 	 *
@@ -1032,7 +1047,7 @@
 		System.out.println(NLS.bind(IndexCoreMessages.consoleColonP0, (lines.size())));
 		toConsole(0, lines.size());
 	}
-
+	
 	/**
 	 * dump a part of the index.
 	 *
@@ -1042,7 +1057,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	public void toConsole(int from, int to) throws CqiClientException, IOException {
-
+		
 		String header = ""; //$NON-NLS-1$
 		for (Property p : pProperties) {
 			header += (p + pPropertiesSeparator);
@@ -1054,11 +1069,11 @@
 				header += "\t" + partnames.get(j); //$NON-NLS-1$
 			}
 		}
-
+		
 		System.out.println(header);
 		for (int i = from; i < to; i++) {
 			Line ligne = lines.get(i);
-			System.out.print(ligne + "\t" + ligne.getFrequency()); //$NON-NLS-1$ 
+			System.out.print(ligne + "\t" + ligne.getFrequency()); //$NON-NLS-1$
 			if (partnames.size() > 1) {
 				for (int j = 0; j < partnames.size(); j++) {
 					System.out.print("\t" + ligne.getFrequency(j)); //$NON-NLS-1$
@@ -1068,8 +1083,8 @@
 		}
 		System.out.flush();
 	}
-
-
+	
+	
 	/**
 	 * Write the lines between from and to on a writer.
 	 *
@@ -1087,26 +1102,26 @@
 	public void toTxt(File outfile, int from, int to, String encoding, String colseparator, String txtseparator)
 			throws CqiClientException, IOException {
 		// NK: writer declared as class attribute to perform a clean if the operation is interrupted
-		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile), encoding)); 
+		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile), encoding));
 		// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
 		String header = ""; //$NON-NLS-1$
 		for (Property p : pProperties) {
 			header += (p + pPropertiesSeparator);
 		}
-		header = txtseparator+ header.substring(0, header.length() - 1) +txtseparator;
-		header += colseparator+ txtseparator+ "F" + txtseparator; //$NON-NLS-1$
+		header = txtseparator + header.substring(0, header.length() - 1) + txtseparator;
+		header += colseparator + txtseparator + "F" + txtseparator; //$NON-NLS-1$
 		if (partnames.size() > 1) {
 			for (int j = 0; j < partnames.size(); j++) {
-				header += colseparator + txtseparator+ partnames.get(j).replace(txtseparator, txtseparator+txtseparator)+txtseparator;
+				header += colseparator + txtseparator + partnames.get(j).replace(txtseparator, txtseparator + txtseparator) + txtseparator;
 			}
 		}
 		header += "\n"; //$NON-NLS-1$
 		writer.write(header);
-
+		
 		// for(Line ligne: lines)
 		for (int i = from; i < to; i++) {
 			Line ligne = lines.get(i);
-			writer.write(txtseparator+ ligne.toString().replace(txtseparator, txtseparator+txtseparator)+ txtseparator + colseparator + ligne.getFrequency()); 
+			writer.write(txtseparator + ligne.toString().replace(txtseparator, txtseparator + txtseparator) + txtseparator + colseparator + ligne.getFrequency());
 			if (partnames.size() > 1) {
 				for (int j = 0; j < partnames.size(); j++) {
 					writer.write(colseparator + ligne.getFrequency(j));
@@ -1117,7 +1132,7 @@
 		writer.flush();
 		writer.close();
 	}
-
+	
 	/**
 	 * Write all the lines on a writer.
 	 *
@@ -1132,13 +1147,14 @@
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
 		try {
 			toTxt(outfile, 0, lines.size(), encoding, colseparator, txtseparator);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(TXMCoreMessages.bind(IndexCoreMessages.error_failedToExportLexiconColonP0, Log.toString(e)));
 			return false;
 		}
 		return true;
 	}
-
+	
 	/**
 	 * checks all lines to update Fmin and Fmax.
 	 */
@@ -1156,9 +1172,9 @@
 			}
 		}
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return PartitionIndex.class.getSimpleName();
 	}
-}
\ No newline at end of file
+}
